Create Work Order
curl --request POST \
--url https://api.serial.io/work-orders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "string",
"component_id": "41afafe5-2a48-424a-baef-34c2ad44ef7b",
"quantity": 1,
"created_by_user_id": "209f54c4-4c33-43bc-9c6a-ef4c65ad7473",
"description": "string",
"part_number_id": "7dec118a-512b-42ec-bf53-7cec3d14d5c7",
"phase": "string",
"assignee_user_id": "e942d24d-8cee-4fa2-bf68-164509e32e2f",
"deadline": "2019-08-24T14:15:22Z"
}
'import requests
url = "https://api.serial.io/work-orders"
payload = {
"name": "string",
"component_id": "41afafe5-2a48-424a-baef-34c2ad44ef7b",
"quantity": 1,
"created_by_user_id": "209f54c4-4c33-43bc-9c6a-ef4c65ad7473",
"description": "string",
"part_number_id": "7dec118a-512b-42ec-bf53-7cec3d14d5c7",
"phase": "string",
"assignee_user_id": "e942d24d-8cee-4fa2-bf68-164509e32e2f",
"deadline": "2019-08-24T14:15:22Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'string',
component_id: '41afafe5-2a48-424a-baef-34c2ad44ef7b',
quantity: 1,
created_by_user_id: '209f54c4-4c33-43bc-9c6a-ef4c65ad7473',
description: 'string',
part_number_id: '7dec118a-512b-42ec-bf53-7cec3d14d5c7',
phase: 'string',
assignee_user_id: 'e942d24d-8cee-4fa2-bf68-164509e32e2f',
deadline: '2019-08-24T14:15:22Z'
})
};
fetch('https://api.serial.io/work-orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"wo_number": 1,
"name": "<string>",
"description": "<string>",
"component_id": "<string>",
"part_number_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "DRAFT",
"phase": "<string>",
"quantity": 123,
"approvals": {
"[approver_user_id]": {
"approver_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requested_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requested_at": "2023-11-07T05:31:56Z",
"last_updated_at": "2023-11-07T05:31:56Z"
}
},
"assignee_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deadline": "2023-11-07T05:31:56Z",
"activity_log": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message": "<string>",
"added_at": "2023-11-07T05:31:56Z",
"added_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": "<string>"
}
],
"last_edited_at": "2023-11-07T05:31:56Z",
"attachments": [
{
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "<string>",
"file_name": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"added_at": "2023-11-07T05:31:56Z",
"added_by_user_id": "<string>",
"is_deleted": true
}
]
}Work Orders
Create a work order
Create a new (DRAFT) work order
POST
/
work-orders
Create Work Order
Authorizations
API Key or Token formatted as Bearer <YOUR_KEY_OR_TOKEN>
Body
application/json
Response
OK
Work Order Data
Required range:
x >= 0Available options:
DRAFT, REVIEW, PRODUCTION, COMPLETE, CANCELED, ARCHIVED Approvals object will have one key value pair for every approver
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Multiple datasets can be added to the attachments object
Show child attributes
Show child attributes
⌘I

